
def my_parse(s):

    cmd_list = s.split()
    if len(cmd_list) != 3:
        print('Wrong expression')
        return None
        
    from operator import add, sub, mul, truediv
    operators = {'+':add, '-':sub, '*':mul, '/':truediv}

    if cmd_list[1] not in operators:
        print('Unknown operator')
        return None
        
    op = operators[cmd_list[1]]

    if not cmd_list[0].isnumeric() or not cmd_list[2].isnumeric():
        print('Illegal argument')
        return None

    x = float(cmd_list[0])
    y = float(cmd_list[2])

    return op, x, y


while True:
    cmd = input('My >>> ')

    result = my_parse(cmd)
    if result != None:
        func, x, y = my_parse(cmd)
        print(func(x, y))
    
